Summary:	Visual (www) interface to explore a cvs repository
Name:		cvsweb
Version:	2.0.6
Release:	5mdk
Epoch:		1
License:	BSD
Group:		System/Servers
#old unmaintened version: http://stud.fh-heilbronn.de/~zeller/cgi/cvsweb.cgi/
URL:		http://www.FreeBSD.org/projects/cvsweb.html
Source:		%name-%version.tar.bz2
Source1:	mandrake-big.jpg
Patch:		cvsweb-2.0.6-config.patch.bz2
Requires:	cvs perl-base
BuildRoot:	%_tmppath/%name-%version
BuildArch: noarch

%description
cvsweb is a visual (www) interface to explore a cvs repository. This is an
enhanced cvsweb developed by Henner Zeller. Enhancements include recognition
and display of popular mime-types, visual, color-coded, side by side diffs
of changes and the ability sort the file display and to hide old files
from view. One living example of the enhanced cvsweb is the KDE cvsweb

cvsweb requires the server to have cvs and a cvs repository worth exploring.

%prep
%setup -q
%patch -p1 -b .mdk

%build
perl -pi -e 's/\.gif/.png/' cvsweb.conf
perl -pi -e 's/(#!\S+).*/$1 -w/' cvsweb.cgi

%install
[[ -d $RPM_BUILD_ROOT ]] && rm -r $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{var/www/{cgi-bin,icons},etc/httpd/conf/cvsweb}
install -m 755 cvsweb.cgi $RPM_BUILD_ROOT/var/www/cgi-bin/
install -m 644 cvsweb.conf $RPM_BUILD_ROOT/etc/httpd/conf/cvsweb/
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/var/www/icons/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README TODO
/var/www/cgi-bin/cvsweb.cgi
%config(noreplace) /etc/httpd/conf/cvsweb/cvsweb.conf
/var/www/icons/mandrake-big.jpg


%changelog
* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.6-5mdk
- fix command line arg, cvsweb don't work with perl -T

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.6-4mdk
- use png icons in order to work with apache2
- remove execution permission on the .jpg

* Fri Jan 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.6-3mdk
- don't use anymore -l in cvs options

* Tue Apr 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.6-2mdk
- require perl-base

* Thu Dec  5 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Mon Aug 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.5-2mdk
- requires /rcs/cvs/ since new cvsweb need it (Ville Skytt)
- fix cvsweb.conf location (Udo Rader)
- misc spec enhancements

* Tue Aug 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.5-1mdk
- new release
- new url
- rediff all patches

* Thu Nov 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.112-1mdk
- new release
- sanitize

* Thu Jan  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.93-3mdk
- added requires rcs
- fix bad config file path

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.93-2mdk
- /home/httpd => /var/www

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.93-1mdk
- 1.93

* Fri Jul 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.89-1mdk
- 1.89 (security fix).

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 1.80-2mdk
- changed icon.

* Tue Mar  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.80-1mdk
- mandrake version.

* Tue Oct 12 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec (based on Ryan Weaver's <ryanw@infohwy.com> gtksee spec
  because i like the style of it)
